Subject: Re: New comment - [#2014493] Conversation with Doreen
From: Niren Dsouza <[email-masked]>
To: Home Box <[email-masked]>
Cc: Dipesh Regmi <[email-masked]>, Nisha Siddiqui <[email-masked]>, radhika jawle <[email-masked]>, sanjana suresh <[email-masked]>, Saurav Chakraborty <[email-masked]>, vaibhav ohri <[email-masked]>, HomeBox Customercare UAE <[email-masked]>, K Nayan <[email-masked]>, Ashish Karini <[email-masked]>
Date: Mon, 15 Feb 2021 02:27:46 -0700 (MST)

Hi Team, 

Refund was supposed to be processed 4 days ago. 
Any update? 
Order : 9629375659 

This has been pending for over 45 days now. 
Kindly advise urgently. 

Niren D'Souza 
Team Manager 
[email-masked] 

From: "Home Box" <[email-masked]> 
To: "Dipesh Regmi" <[email-masked]>, "Niren Dsouza" <[email-masked]>, "Nisha Siddiqui" <[email-masked]>, "radhika jawle" <[email-masked]>, "sanjana suresh" <[email-masked]>, "Saurav Chakraborty" <[email-masked]>, "vaibhav ohri" <[email-masked]> 
Cc: "HomeBox Customercare UAE" <[email-masked]> 
Sent: Sunday, February 14, 2021 5:08:46 PM 
Subject: New comment - [#2014493] Conversation with Doreen 

There is a new comment in the ticket submitted by Doreen to HelpHBAE 
Comment added by : Mustehsan Siddiqui 

Comment Content: 

	
Doreen 
Homebox what is the update of our refund? 
02:41 PM, 14th Feb 

	
Doreen 
We ordered Jan 19... It is already Feb 14, we still dont receive our refund... 
02:43 PM, 14th Feb 

	
Doreen 
It better be solved, coz I will report your company to the authorities if i dont receive my money back 
02:44 PM, 14th Feb 

	
Tarish 
This is surely not the experience we want our customers to have when they shop with us. Our return and refunds are always meant to be a hassle free process. 
03:18 PM, 14th Feb 

	
Tarish 
where else you please be rest assured as we have escalated this concern to the highest authorities to make it resolve as soon as possible 
03:18 PM, 14th Feb 

	
Tarish 
Please consider this as a rare instance, rest assured our team is working on your issue, and will get back to you as soon as possible. 
03:19 PM, 14th Feb 

	
Doreen 
This has been escalated with the higher authorities since last week. Still no action. 
03:21 PM, 14th Feb 

	
Tarish 
Doreen, I really understand your frustration where else I am the only one following up on your concern on the daily basis with our team 
03:22 PM, 14th Feb 

	
Tarish 
Again I am saying sorry because if I would feel the same if I was you. 
03:23 PM, 14th Feb 

	
Doreen 
I dont think they have plan to resolve this matter. 
03:23 PM, 14th Feb 

	
Tarish 
Indeed you have been a loyal customer and we highly value your relationship with us. 
03:24 PM, 14th Feb 

	
Tarish 
Its not the matter it is just because we are dealing with a 3rd party delivery company 
03:25 PM, 14th Feb 

	
Tarish 
That is why it's taking so much time 
03:25 PM, 14th Feb 

	
Tarish 
I completely understand that this is not in keeping with the high standards that we strive to maintain and provide for all our customers. 
03:25 PM, 14th Feb 

	
Tarish 
We will be really appreciated with your patience and understanding, if you could just bear with us for a little while more and we will go ahead and make sure that your issue is resolved. 
03:25 PM, 14th Feb 

	
Doreen 
I heard this from you many times since January 19z its been 27 days to be exact 
03:26 PM, 14th Feb 

	
Tarish 
Yes, as I am the one who interacted with you in the starting and following up on your case since then I know about this. 
03:29 PM, 14th Feb 

	
Doreen 
Are they not done witb their investigation regarding this ? I dont have any against with the delivery man but they should ask him directly. Injust want to resolve this smoothly and as soon as possible 
03:31 PM, 14th Feb 

	
Tarish 
Doreen, I understand and your frustration here is acceptable because its taking so long to resolve 
03:33 PM, 14th Feb 

	
Tarish 
Please accept my apologies once again for the state of affairs. 
03:33 PM, 14th Feb 

	
Tarish 
rest assured our team is working on your issue, and I will get back to you as soon as possible. 
03:34 PM, 14th Feb 

	
View conversation in [ https://web.freshchat.com/a/224106425474082/inbox/open/0/conversation/443651391574244 | Freshchat ] 
2014493:1125156